/* --------------- Primary Menu ------------ */

.region-primary-menu {
  clear: both;
	/*position: absolute;*/
	right: 0;
	top: 0;
	/*z-index: 500;
	/*width:100%;*/
}
.region-primary-menu .menu {
  margin: 0;
  padding: 1.6em 0 1em;
  text-align: left; /* LTR */
  font-size: 1.4em;
  text-transform:uppercase;
  /*background: #006f80;
  background: rgba(0, 111, 128, 0.8);*/
  position: absolute;
  width: 100%;
  top: 0;
  z-index: 500;

}
[dir="rtl"] .region-primary-menu .menu {
  margin-right: 0; /* This is required to win over specificity of [dir="rtl"] ul.menu */
  margin-left: 0; /* This is required to win over specificity of [dir="rtl"] ul.menu */
  text-align: right;
}
.region-primary-menu .menu-item {
  float: none;
  /*width: 100%;*/
  height: auto;
  margin: 0;
  padding: 0;
  list-style: none;
  /*background: #006f80;
  background: rgba(0, 111, 128, 0.8);*/
}
.region-primary-menu .menu a {
  display: block;
  float: none;
	margin:0;
  padding: 0.5em 1em; /* LTR */
  text-decoration: none;
  color: #fff;
  /*border-radius: 8px;
  background: #ccc;
  background: rgba(255, 255, 255, 0.7);
  text-shadow: 0 1px #eee;*/
  line-height:1.1em;
}
@media all and (min-width: 560px) {
	.region-primary-menu .menu {
	  font-size: 1.8em;
	}
}
@media all and (min-width: 851px) {
	.region-primary-menu .menu a {
		padding-left:50%;
	}
}
@media all and (min-width: 1001px) {
	.region-primary-menu .menu a {
		padding-left:60%;
	}
}
@media all and (min-width: 1201px) {
	.region-primary-menu .menu a {
		padding-left:68%;
	}
}

.region-primary-menu .menu a:hover,
.region-primary-menu .menu a:focus {
  /*background: #f6f6f2;
  background: rgba(255, 255, 255, 0.95);*/
  color:#2b2b2b;
}
.region-primary-menu .menu a:active {
  /*background: #b3b3b3;
  background: rgba(255, 255, 255, 1);*/
  color:#2b2b2b;
}
.region-primary-menu .menu-item a.is-active {
  border-bottom: none;
}

/* ---------- Primary Menu Toggle ----------- */
/* Hide the toggle by default. */
.menu-toggle,
.menu-toggle-target {
  display: none;
}
/* Unhide it for the primary menu. */
.region-primary-menu .menu-toggle-target {
  position: fixed;
  top: 0;
  display: inherit;
}
.region-primary-menu .menu-toggle {
  display: none;
}
body:not(:target) .region-primary-menu .menu-toggle {
  z-index: 501;
  display: block;
  float: right;
  padding: 0.9em 10px 0.9em 10px;
  padding:1em;
  text-decoration: none;
  color: #333;
  /*background: #006f80;
  background: rgba(0, 111, 128, 0.8);
  text-shadow: 0 1px #eee;*/
  font-size: 1em;
  position:absolute;
  top:0;
  right:0;
}
#block-eins22weiterbildung-main-menu.contextual-region .menu-toggle {
  top:-150px;
}
body:not(:target) .region-primary-menu .menu-toggle:after {
  position: absolute;
  right: 20px; /* LTR */
  display: inline-block;
  width: 50px;
  height: 50px;
  content: "";
  /*background: url(../../../../misc/icons/ffffff/hamburger.svg) no-repeat;*/
  background: url(../../images/menu-burger-dg.svg) no-repeat;
  background-size: contain;
  color: #3b3b3b;
}
body:not(:target) .region-primary-menu .menu-toggle--hide:after {
  background: url(../../images/menu-close.svg) no-repeat;
  color: #3b3b3b;
}
[dir="rtl"] body:not(:target) .region-primary-menu .menu-toggle:after {
  right: initial;
  left: 20px;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu-toggle,
body:not(:target) .region-primary-menu .menu-toggle--hide {
  display: none;
  background:transparent;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu-toggle--hide {
  display: block;
  /*background: #006f80;
  background: rgba(0, 111, 128, 0.8);*/
}

body:not(:target) .region-primary-menu .menu-item {
  overflow: hidden;
  height: 0;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu .menu-item {
  overflow: visible;
  height: auto;
}

body:not(:target) .region-primary-menu .menu {
  display: none;
  background:transparent;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu {
  display: block;
  background: #006f80;
  background: rgba(0, 111, 128, 0.9);
  animation: einblenden;
  animation-timing-function: ease-in-out;
  animation-duration: 0.4s;
}
@keyframes einblenden {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
